﻿using System;
using System.Globalization;
using System.Windows.Input;
using Prism.Commands;
using Xamarin.Forms;

namespace PickerList
{
    internal class ViewModel
    {
        public ICommand SelectionChanged { get; set; }
        public ViewModel()
        {
            this.SelectionChanged = new Command(this.OnSelectionChanged);
        }
        private void OnSelectionChanged(object obj)
        {
            var id = (obj as EmployeeInfo).ID;
            Application.Current.MainPage.DisplayAlert("Notification", "ID " + id, "Ok");
        }
    }
public class SelectionChangedConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            object eventArgs = null;
            Syncfusion.SfPicker.XForms.SelectionChangedEventArgs eventArg = null;
            if (value is Syncfusion.SfPicker.XForms.SelectionChangedEventArgs)
            {
                eventArg = value as Syncfusion.SfPicker.XForms.SelectionChangedEventArgs;
                eventArgs = eventArg.NewValue;
            }

            return eventArgs;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}